Summary: A PostgresSQL interface for perl
Name: perl-DBD-Pg
Version: 0.95
Release: 1
Copyright: distributable
Group: Applications/CPAN
Source: DBD-Pg-0.95.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: perl >= 5.6.0-3, perl-DBI, postgresql-devel >= 7.0

%description 
An implementation of DBI for PostgreSQL for Perl.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n DBD-Pg-%{version} 

%build
export POSTGRES_INCLUDE=/usr/include/pgsql
export POSTGRES_LIB=/usr/lib
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install
rm  $RPM_BUILD_ROOT/$installarchlib/perllocal.pod

%files 
%defattr(-,root,root)
/usr/*/*

%changelog
* Thu Nov 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- First cut
